Enroll an individual into a deduction or contribution. This is an overwrite operation. If the employee is already enrolled, the enrollment amounts will be adjusted. Making the same request multiple times will not create new enrollments, but will continue to set the state of the existing enrollment.
Availability: Automated and Assisted providersThis is a live request to the provider. Latencies may vary from seconds to minutes depending on the provider and number of benefits.
Making changes to an individual’s deductions may have tax consequences based
on IRS regulations. Please consult a tax expert to ensure all changes being
made to the system are compliant with local, state, and federal law.
The request body is a bare array of enrollment objects — [ { "individual_id": …, "configuration": … } ]. Do not wrap it in an object: sending { "items": [ … ] } returns 400 Expected array but received object. In the schema below, the items. prefix labels each element of the array, not a top-level items field.
Enrollment Bodies
Enrollment bodies have a common format for each benefit type, with a different configuration schema based on the benefit type. The configurations for each type are outlined below. These are general configurations and may vary per provider. Please use the /provider endpoint to view provider specific supported configurations.
Retirement Benefits
Includes 401(k), Roth 401(k), 403(b), Roth 403(b), 457, Roth 457, and Simple IRA
Field
Type
Description
employee_deduction.type
string
Deduction Type (fixed or percent)
employee_deduction.amount
integer
Deduction amount in cents (if fixed) or basis points (if percent)
company_contribution.type
string
Contribution Type (fixed or percent)
company_contribution.amount
integer
Contribution amount in cents (if fixed) or basis points
catch_up
boolean
Whether to enable catch up for this individual
annual_maximum
integer (nullable)
The annual maximum in cents for this individual
effective_date*
string (nullable)
The date which the benefit should take effect by (mm/dd/yyyy)
HSA
Field
Type
Description
employee_deduction.type
string
Deduction Type (fixed or percent)
employee_deduction.amount
integer
Deduction amount in cents (if fixed) or basis points (if percent)
company_contribution.type
string
Contribution Type (fixed or percent)
company_contribution.amount
integer
Contribution amount in cents (if fixed) or basis points
catch_up
boolean
Whether to enable catch up for this individual
annual_maximum
integer (nullable)
The annual maximum in cents for this individual
annual_contribution_limit
string (nullable)
Whether HSA is applied towards individual or family
effective_date*
string (nullable)
The date which the benefit should take effect by (mm/dd/yyyy)
Section 125 Benefits, FSA, Custom Benefits
Field
Type
Description
employee_deduction.type
string
Deduction Type (fixed or percent)
employee_deduction.amount
integer
Deduction amount in cents (if fixed) or basis points (if percent)
company_contribution.type
string
Contribution Type (fixed or percent)
company_contribution.amount
integer
Contribution amount in cents (if fixed) or basis points
effective_date*
string (nullable)
The date which the benefit should take effect by (mm/dd/yyyy)
Note: effective_dates that are undefined or in the past will default to the date the request was made.
We recommend grouping enrollments by effective_date for a request.
If multiple distinct effective_dates are included, the job will be in pending status until the latest effective_date enrollment is processed.
Sandbox integrations do not currently support multiple distinct effective_dates within the same request.
Authorizations
Authorization
string
header
required
Please use your Access Token
Headers
Finch-API-Version
string<date>
default:2020-09-17
required
Header used to specify the version for a given API request. Current version is 2020-09-17.
Content-Type
string
default:application/json
required
Used to indicate the original media type of the resource
Path Parameters
benefit_id
string
required
Query Parameters
entity_ids
string<uuid>[]
The entity IDs to specify which entities' data to access. Provide exactly one entity ID per request; a maximum of one is accepted. Required when the connection has more than one entity — omitting it returns a 400invalid_request_error. Optional for single-entity connections.
Required array length: 1 element
Example:
["550e8400-e29b-41d4-a716-446655440000"]
Body
application/json
individual_id
string
Finch id (uuidv4) for the individual to enroll
configuration
object
Show child attributes
Response
Successfully enqueued job to enroll individuals in the benefit
job_id
string<uuid>
required
Was this page helpful?
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Finch","colors":{"primary":"#161616","light":"#FAFAFA","dark":"#3E4AE7"},"logo":{"light":"https://mintcdn.com/finch/ejF2Kw2CeeMQKCJw/logo/logo-black.svg?fit=max\u0026auto=format\u0026n=ejF2Kw2CeeMQKCJw\u0026q=85\u0026s=e490dba98fb7b16e8f9f5ab4a9a58a5c","dark":"https://mintcdn.com/finch/ejF2Kw2CeeMQKCJw/logo/logo-white.svg?fit=max\u0026auto=format\u0026n=ejF2Kw2CeeMQKCJw\u0026q=85\u0026s=9132a1fde9ad8880fbf81ac32e53e6b2"},"favicon":"https://mintcdn.com/finch/8U6M212KK5wde_yD/favicon.png?fit=max\u0026auto=format\u0026n=8U6M212KK5wde_yD\u0026q=85\u0026s=c54c63bf4768a5eb32ea7e306f52ed1e","navbar":{"links":[{"href":"https://dashboard.tryfinch.com/signup","label":"Sign Up"}],"primary":{"type":"button","label":"Sign In","href":"https://login.tryfinch.com/u/login?state=hKFo2SBmakdGQlE4STYwYzhmRkYzc0ZOTVV3c1VkX2F4UGhuTKFur3VuaXZlcnNhbC1sb2dpbqN0aWTZIENuZ0NHU283dXV5YzlzczQtZFZxUmJQRElJUmt6UGpmo2NpZNkgTlZsT1hZN3N2R25xSlNHYkFSdE1Ga2tnMGJqMkJmbEk"}},"footer":{"socials":{"twitter":"https://twitter.com/tryfinch?lang=en","linkedin":"https://www.linkedin.com/company/finchapi","website":"https://tryfinch.com/"}},"integrations":{"amplitude":{"apiKey":"684ff58ac8711b102376cfd6ded7f199"}},"styling":{"latex":false},"navigation":{"global":{"anchors":[{"anchor":"Changelog","icon":{"style":"sharp-solid","name":"megaphone"},"color":{"light":"#3E4AE7","dark":"#3E4AE7"},"href":"https://developer.tryfinch.com/changelog"},{"anchor":"API Status","icon":{"style":"sharp-solid","name":"signal-bars"},"color":{"light":"#3E4AE7","dark":"#3E4AE7"},"href":"https://status.tryfinch.com"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"finch","hasAudioNarration":false,"actualSubdomain":"finch","customDomains":["developer.tryfinch.com"],"gitSource":{"type":"github","owner":"finch-api","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"feedback":{"thumbs":true,"issues":false,"edits":false},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"REMOVE_BRANDING":{"status":"ENABLED"},"CONTEXTUAL_FEEDBACK":{"status":"ENABLED"},"CODE_SNIPPET_FEEDBACK":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6af74231775625a00c6af923","clientVersion":"0.0.4142","searchFilterCounts":[{"language":"default","tag":"API Reference","count":61},{"language":"default","tag":"Documentation","count":55},{"language":"default","tag":"Implementation Guide","count":23},{"language":"default","tag":"Developer Resources","count":17},{"language":"default","tag":"Sandbox","count":11},{"language":"default","tag":"Management","count":10},{"language":"default","tag":"Payroll","count":10},{"language":"default","tag":"Deductions","count":9},{"language":"default","tag":"Development Guides","count":7},{"language":"default","tag":"Build Backend Application","count":7}]},"assistantConfig":{"deflection":{"enabled":true,"email":"developers@tryfinch.com","showHelpButton":true}},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-rbac-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":":root{--finch-purple: #3E4AE7;--finch-purple-dark: #7A84FF}.update-container [class*=\"bg-primary\"]{background-color:rgba(62, 74, 231, 0.08)!important;color:var(--finch-purple)!important}.dark .update-container [class*=\"bg-primary\"]{background-color:rgba(122, 132, 255, 0.15)!important;color:var(--finch-purple-dark)!important}#content-side-layout:empty{position:absolute}#table-of-contents-layout:empty{position:absolute}:is(.prose a):not(.dark .prose a):not(:where([aria-label=\"Navigate to header\"])){color:var(--finch-purple);border-bottom:1px solid var(--finch-purple)}:is(.dark .prose a):not(:where([aria-label=\"Navigate to header\"])){color:var(--finch-purple-dark);border-bottom:1px solid var(--finch-purple-dark)}.automated-badge{background-color:#ECFDF3;color:#027A48}.assisted-badge{background-color:#FFFAEB;color:#B54708}.dark .automated-badge{background-color:#0C2119!important;color:#12B76A!important}.dark .assisted-badge{background-color:#21140F!important;color:#F79009!important}.pn-container{margin-top:1rem}.pn-search{width:100%;padding:10px 14px;font-size:15px;border:1px solid #D0D5DD;border-radius:8px;outline:none;background:#fff;color:#101828;transition:border-color 0.15s, box-shadow 0.15s}.pn-search:focus{border-color:var(--finch-purple);box-shadow:0 0 0 3px rgba(62, 74, 231, 0.12)}.pn-search::placeholder{color:#98A2B3}.dark .pn-search{background:#1D2939;border-color:#344054;color:#F2F4F7}.dark .pn-search:focus{border-color:var(--finch-purple-dark);box-shadow:0 0 0 3px rgba(122, 132, 255, 0.15)}.pn-filters{display:flex;flex-wrap:wrap;gap:16px;margin:16px 0;align-items:flex-start}.pn-filter-group{display:flex;align-items:center;gap:6px;flex-wrap:wrap}.pn-filter-label{font-size:13px;font-weight:600;color:#475467;margin-right:2px;white-space:nowrap}.dark .pn-filter-label{color:#98A2B3}.pn-checkbox-label{display:flex;align-items:center;gap:6px;font-size:13px;font-weight:500;color:#344054;cursor:pointer}.dark .pn-checkbox-label{color:#D0D5DD}.pn-export-btn{display:inline-flex;align-items:center;gap:6px;padding:4px 12px;border:1px solid #D0D5DD;border-radius:6px;background:transparent;font-size:13px;font-weight:500;color:#475467;cursor:pointer;margin-left:auto}.pn-export-btn:hover{background:#F2F4F7;border-color:#98A2B3}.dark .pn-export-btn{color:#D0D5DD;border-color:#475467}.dark .pn-export-btn:hover{background:#1D2939;border-color:#667085}.pn-filter-btn{display:inline-flex;align-items:center;padding:4px 12px;font-size:13px;font-weight:500;border:1px solid #D0D5DD;border-radius:999px;background:#fff;color:#344054;cursor:pointer;transition:all 0.15s;line-height:1.5}.pn-filter-btn:hover{background:#F2F4F7;border-color:#98A2B3}.pn-filter-btn-active{background:var(--finch-purple)!important;color:#fff!important;border-color:var(--finch-purple)!important}.dark .pn-filter-btn{background:#1D2939;border-color:#344054;color:#D0D5DD}.dark .pn-filter-btn:hover{background:#344054;border-color:#475467}.dark .pn-filter-btn-active{background:var(--finch-purple-dark)!important;color:#101828!important;border-color:var(--finch-purple-dark)!important}.pn-results-count{font-size:14px;color:#475467;margin-bottom:12px;font-weight:500}.dark .pn-results-count{color:#98A2B3}.pn-table{width:100%;border-collapse:collapse;font-size:14px;table-layout:auto;margin-left:0!important;margin-right:0!important}.pn-table td,.pn-table th{min-width:0!important}.pn-col-narrow{width:1%!important}.pn-th-center,.pn-td-center{text-align:center!important;white-space:nowrap!important;padding-left:6px!important;padding-right:6px!important;width:1%!important;min-width:0!important;max-width:fit-content!important}.pn-th-link,.pn-th-link:link,.pn-th-link:visited,.prose .pn-th-link,.prose a.pn-th-link{color:inherit!important;text-decoration:none!important;border-bottom:none!important;box-shadow:none!important}.pn-th-link:hover,.prose .pn-th-link:hover,.prose a.pn-th-link:hover{text-decoration:underline!important}.pn-table thead th{text-align:left;padding:8px 4px;font-weight:600;font-size:12px;text-transform:uppercase;letter-spacing:0.04em;color:#475467;border-bottom:2px solid #E4E7EC;white-space:nowrap}.dark .pn-table thead th{color:#98A2B3;border-bottom-color:#344054}.pn-table tbody tr{border-bottom:1px solid #F2F4F7;transition:background 0.1s}.pn-table tbody tr:hover{background:#F9FAFB}.dark .pn-table tbody tr{border-bottom-color:#1D2939}.dark .pn-table tbody tr:hover{background:#1D2939}.pn-table td{padding:8px 4px;vertical-align:middle;overflow:hidden;text-overflow:ellipsis}.pn-table th:first-child,.pn-table td:first-child{padding-left:0!important}.pn-pill{display:inline-block;padding:2px 8px;border-radius:999px;font-size:13px;font-weight:500}.pn-product-pills{display:flex;flex-wrap:wrap;gap:4px}.pn-pill-automated{background:#ECFDF3;color:#027A48}.pn-pill-assisted{background:#FFFAEB;color:#B54708}.dark .pn-pill-automated{background:#0C2119;color:#12B76A}.dark .pn-pill-assisted{background:#21140F;color:#F79009}.pn-name-row{display:flex;align-items:center;gap:8px}.pn-name-id{display:inline-flex;align-items:center;gap:6px}.pn-id-cell{display:inline-flex;align-items:center;gap:4px}.pn-id-cell code{font-size:12px}.pn-copy-btn{display:inline-flex;align-items:center;justify-content:center;background:none;border:none;cursor:pointer;color:#98A2B3;padding:2px;border-radius:4px;transition:color 0.15s, background 0.15s}.pn-copy-btn:hover{color:var(--finch-purple);background:#F2F4F7}.dark .pn-copy-btn:hover{color:var(--finch-purple-dark);background:#344054}.pn-badge-assisted-fast,.assisted-fast-badge,.pn-badge-automated,.pn-badge-assisted{display:inline-block;padding:1px 6px;border-radius:999px;font-size:11px;font-weight:500;white-space:nowrap}.pn-badge-assisted-fast,.assisted-fast-badge{background-color:#FFFAEB;color:#B54708}.dark .assisted-fast-badge{background-color:#21140F!important;color:#F79009!important}.pn-badge-none{color:#98A2B3;font-size:11px}.pn-badge-request,.prose .pn-badge-request,.prose a.pn-badge-request{font-size:11px;color:#667085!important;text-decoration:none!important;border-bottom:none!important}.pn-badge-request:hover,.prose .pn-badge-request:hover,.prose a.pn-badge-request:hover{text-decoration:underline!important}.dark .pn-badge-request,.dark .prose .pn-badge-request,.dark .prose a.pn-badge-request{color:#667085!important}.pn-status-ga,.pn-status-beta{display:inline-block;padding:1px 6px;border-radius:999px;font-size:10px;font-weight:600;letter-spacing:0.03em}.pn-status-ga{background:#EFF8FF;color:#175CD3;text-transform:uppercase}.pn-status-beta{background:#F4F3FF;color:#5925DC}.dark .pn-status-ga{background:#0C1F3D;color:#84ADFF}.dark .pn-status-beta{background:#1D1547;color:#BDB4FE}@media (max-width: 768px){.pn-filters{flex-direction:column;gap:10px}.pn-table{font-size:12px}.pn-table td,.pn-table th{padding:8px 6px}}.fsm-auth-oauth,.fsm-auth-credential,.fsm-auth-api_token,.fsm-auth-assisted{font-size:11px;font-weight:500;padding:2px 8px;border-radius:9999px;display:inline-block}.fsm-auth-oauth{background:#f0fdf4;color:#15803d}.fsm-auth-credential{background:#eff6ff;color:#1d4ed8}.fsm-auth-api_token{background:#faf5ff;color:#7e22ce}.fsm-auth-assisted{background:#fefce8;color:#a16207}.dark .fsm-auth-oauth{background:#0a2618;color:#6ee7a0}.dark .fsm-auth-credential{background:#0c1a2e;color:#7db8f5}.dark .fsm-auth-api_token{background:#1a0e2e;color:#c4a5f5}.dark .fsm-auth-assisted{background:#231a0a;color:#e5b85c}.fsm-beta-callout{border-radius:8px;border:1px solid #bfdbfe;background:#eff6ff;padding:12px 16px;margin-bottom:16px;font-size:14px;color:#1e40af;display:flex;align-items:center;gap:10px}.fsm-beta-callout svg{flex-shrink:0}.dark .fsm-beta-callout{border-color:#1e3a5f;background:#0c1a2e;color:#93c5fd}.dark .fsm-beta-callout circle{stroke:#60a5fa}.dark .fsm-beta-callout text{fill:#60a5fa}.fsm-method{font-size:9px;font-weight:700;line-height:1;padding:2px 5px;border-radius:3px;letter-spacing:0.02em;flex-shrink:0}.fsm-method-get{color:#16a34a;background:#f0fdf4}.fsm-method-post{color:#2563eb;background:#eff6ff}.fsm-method-del{color:#dc2626;background:#fef2f2}.dark .fsm-method-get{color:#6ee7a0;background:#0a2618}.dark .fsm-method-post{color:#7db8f5;background:#0c1a2e}.dark .fsm-method-del{color:#f87171;background:#2a0a0a}.fsm-csv-btn{display:inline-flex;align-items:center;gap:6px;padding:7px 12px;border:1px solid #e2e8f0;border-radius:8px;background:transparent;font-size:13px;font-weight:500;color:#64748b;cursor:pointer}.fsm-csv-btn:hover{border-color:#94a3b8;color:#475569}.dark .fsm-csv-btn{border-color:#374151;color:#9ca3af}.dark .fsm-csv-btn:hover{border-color:#4b5563;color:#d1d5db}.fsm-drop-item{display:flex;align-items:center;gap:8px;width:100%;padding:5px 10px;border:none;font-size:13px;border-radius:6px;cursor:pointer;text-align:left;background:transparent;color:#4b5563}.fsm-drop-item:hover{background:#f8fafc}.fsm-drop-item-selected{background:#f0f1ff;color:#3E4AE7}.dark .fsm-drop-item{color:#e5e7eb}.dark .fsm-drop-item:hover{background:rgba(255,255,255,0.08)}.dark .fsm-drop-item-selected{background:rgba(122,132,255,0.15);color:#7A84FF}.fsm-tooltip-wrap{position:relative;display:inline-flex}.fsm-tooltip{display:none;position:absolute;bottom:calc(100% + 6px);left:50%;transform:translateX(-50%);background:#1e293b;color:#f1f5f9;font-size:12px;line-height:1.4;padding:8px 12px;border-radius:8px;width:220px;white-space:normal;text-align:left;box-shadow:0 4px 12px rgba(0,0,0,0.15);z-index:100;pointer-events:none}.fsm-tooltip-wrap:hover .fsm-tooltip{display:block}.fsm-btn-tooltip-wrap{position:relative;display:inline-flex}.fsm-btn-tooltip{display:none;position:absolute;bottom:calc(100% + 6px);left:50%;transform:translateX(-50%);background:#1e293b;color:#f1f5f9;font-size:11px;padding:4px 8px;border-radius:4px;white-space:nowrap;z-index:100;pointer-events:none}.fsm-btn-tooltip-wrap:hover .fsm-btn-tooltip{display:block}.fsm-tip{color:#9ca3af}.dark .fsm-tip{color:#6b7280}.fsm-tip-text{display:none;position:absolute;bottom:calc(100% + 6px);right:-8px;background:#1e293b;color:#f1f5f9;font-size:11px;line-height:1.4;padding:6px 10px;border-radius:6px;text-align:left;width:max-content;max-width:320px;z-index:9999;pointer-events:none}.fsm-tip:hover .fsm-tip-text{display:block}#fsm-table-scroll,#fsm-top-scroll{margin-left:0!important;margin-right:0!important;max-width:100%!important}#fsm-table-scroll table td,#fsm-table-scroll table th{min-width:0!important}#fsm-table-scroll::-webkit-scrollbar,#fsm-top-scroll::-webkit-scrollbar{height:8px}#fsm-table-scroll::-webkit-scrollbar-track,#fsm-top-scroll::-webkit-scrollbar-track{background:transparent}#fsm-table-scroll::-webkit-scrollbar-thumb,#fsm-top-scroll::-webkit-scrollbar-thumb{background:#d1d5db;border-radius:4px}#fsm-table-scroll::-webkit-scrollbar-thumb:hover,#fsm-top-scroll::-webkit-scrollbar-thumb:hover{background:#9ca3af}.dark #fsm-table-scroll::-webkit-scrollbar-thumb,.dark #fsm-top-scroll::-webkit-scrollbar-thumb{background:#4b5563}.dark #fsm-table-scroll::-webkit-scrollbar-thumb:hover,.dark #fsm-top-scroll::-webkit-scrollbar-thumb:hover{background:#6b7280}"}],"page":{"pagePath":"api-reference/deductions/enroll-individuals-in-deductions","slug":"/api-reference/deductions/enroll-individuals-in-deductions","pageMetadata":{"openapi":"post /employer/benefits/{benefit_id}/individuals","title":"Enroll Individuals in Deductions","description":"Enroll an individual into a deduction or contribution. This is an overwrite operation. If the employee is already enrolled, the enrollment amounts will be adjusted. Making the same request multiple times will not create new enrollments, but will continue to set the state of the existing enrollment.","href":"/api-reference/deductions/enroll-individuals-in-deductions"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Enroll an individual into a deduction or contribution. This is an overwrite operation. If the employee is already enrolled, the enrollment amounts will be adjusted. Making the same request multiple times will not create new enrollments, but will continue to set the state of the existing enrollment.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={code:`code`,li:`li`,p:`p`,strong:`strong`,tbody:`tbody`,td:`td`,th:`th`,thead:`thead`,tr:`tr`,ul:`ul`,..._provideComponents(),...props.components},{Heading,Note,Table,Warning}=_components;if(!Heading)_missingMdxReference(`Heading`,true);if(!Note)_missingMdxReference(`Note`,true);if(!Table)_missingMdxReference(`Table`,true);if(!Warning)_missingMdxReference(`Warning`,true);return _jsxs(_Fragment,{children:[_jsx(_components.p,{children:_jsx(_components.strong,{children:`Availability: Automated and Assisted providers`})}),`\n`,_jsx(_components.p,{children:`This is a live request to the provider. Latencies may vary from seconds to minutes depending on the provider and number of benefits.`}),`\n`,_jsx(Warning,{children:_jsx(_components.p,{children:`Making changes to an individual’s deductions may have tax consequences based\non IRS regulations. Please consult a tax expert to ensure all changes being\nmade to the system are compliant with local, state, and federal law.`})}),`\n`,_jsx(Note,{children:_jsxs(_components.p,{children:[`The request body is a `,_jsx(_components.strong,{children:`bare array`}),` of enrollment objects — `,_jsx(_components.code,{children:`[ { \"individual_id\": …, \"configuration\": … } ]`}),`. Do not wrap it in an object: sending `,_jsx(_components.code,{children:`{ \"items\": [ … ] }`}),` returns `,_jsx(_components.code,{children:`400 Expected array but received object`}),`. In the schema below, the `,_jsx(_components.code,{children:`items.`}),` prefix labels each element of the array, not a top-level `,_jsx(_components.code,{children:`items`}),` field.`]})}),`\n`,_jsx(Heading,{level:`3`,id:`enrollment-bodies`,children:`Enrollment Bodies`}),`\n`,_jsxs(_components.p,{children:[`Enrollment bodies have a common format for each benefit type, with a different `,_jsx(_components.code,{children:`configuration`}),` schema based on the benefit type. The configurations for each type are outlined below. These are general configurations and may vary per provider. Please use the `,_jsx(_components.code,{children:`/provider`}),` endpoint to view provider specific supported configurations.`]}),`\n`,_jsx(Heading,{level:`4`,id:`retirement-benefits`,children:`Retirement Benefits`}),`\n`,_jsx(_components.p,{children:`Includes 401(k), Roth 401(k), 403(b), Roth 403(b), 457, Roth 457, and Simple IRA`}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Field`}),_jsx(_components.th,{children:`Type`}),_jsx(_components.th,{children:`Description`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`employee_deduction.type`})}),_jsx(_components.td,{children:_jsx(_components.code,{children:`string`})}),_jsxs(_components.td,{children:[`Deduction Type (`,_jsx(_components.code,{children:`fixed`}),` or `,_jsx(_components.code,{children:`percent`}),`)`]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`employee_deduction.amount`})}),_jsx(_components.td,{children:_jsx(_components.code,{children:`integer`})}),_jsxs(_components.td,{children:[`Deduction amount in cents (if `,_jsx(_components.code,{children:`fixed`}),`) or basis points (if `,_jsx(_components.code,{children:`percent`}),`)`]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`company_contribution.type`})}),_jsx(_components.td,{children:_jsx(_components.code,{children:`string`})}),_jsxs(_components.td,{children:[`Contribution Type (`,_jsx(_components.code,{children:`fixed`}),` or `,_jsx(_components.code,{children:`percent`}),`)`]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`company_contribution.amount`})}),_jsx(_components.td,{children:_jsx(_components.code,{children:`integer`})}),_jsxs(_components.td,{children:[`Contribution amount in cents (if `,_jsx(_components.code,{children:`fixed`}),`) or basis points`]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`catch_up`})}),_jsx(_components.td,{children:_jsx(_components.code,{children:`boolean`})}),_jsx(_components.td,{children:`Whether to enable catch up for this individual`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`annual_maximum`})}),_jsxs(_components.td,{children:[_jsx(_components.code,{children:`integer`}),` (`,_jsx(_components.code,{children:`nullable`}),`)`]}),_jsx(_components.td,{children:`The annual maximum in cents for this individual`})]}),_jsxs(_components.tr,{children:[_jsxs(_components.td,{children:[_jsx(_components.code,{children:`effective_date`}),`*`]}),_jsxs(_components.td,{children:[_jsx(_components.code,{children:`string`}),` (`,_jsx(_components.code,{children:`nullable`}),`)`]}),_jsxs(_components.td,{children:[`The date which the benefit should take effect by (`,_jsx(_components.code,{children:`mm/dd/yyyy`}),`)`]})]})]})]}),`\n`,_jsx(Heading,{level:`4`,id:`hsa`,children:`HSA`}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Field`}),_jsx(_components.th,{children:`Type`}),_jsx(_components.th,{children:`Description`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`employee_deduction.type`})}),_jsx(_components.td,{children:_jsx(_components.code,{children:`string`})}),_jsxs(_components.td,{children:[`Deduction Type (`,_jsx(_components.code,{children:`fixed`}),` or `,_jsx(_components.code,{children:`percent`}),`)`]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`employee_deduction.amount`})}),_jsx(_components.td,{children:_jsx(_components.code,{children:`integer`})}),_jsxs(_components.td,{children:[`Deduction amount in cents (if `,_jsx(_components.code,{children:`fixed`}),`) or basis points (if `,_jsx(_components.code,{children:`percent`}),`)`]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`company_contribution.type`})}),_jsx(_components.td,{children:_jsx(_components.code,{children:`string`})}),_jsxs(_components.td,{children:[`Contribution Type (`,_jsx(_components.code,{children:`fixed`}),` or `,_jsx(_components.code,{children:`percent`}),`)`]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`company_contribution.amount`})}),_jsx(_components.td,{children:_jsx(_components.code,{children:`integer`})}),_jsxs(_components.td,{children:[`Contribution amount in cents (if `,_jsx(_components.code,{children:`fixed`}),`) or basis points`]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`catch_up`})}),_jsx(_components.td,{children:_jsx(_components.code,{children:`boolean`})}),_jsx(_components.td,{children:`Whether to enable catch up for this individual`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`annual_maximum`})}),_jsxs(_components.td,{children:[_jsx(_components.code,{children:`integer`}),` (`,_jsx(_components.code,{children:`nullable`}),`)`]}),_jsx(_components.td,{children:`The annual maximum in cents for this individual`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`annual_contribution_limit`})}),_jsxs(_components.td,{children:[_jsx(_components.code,{children:`string`}),` (`,_jsx(_components.code,{children:`nullable`}),`)`]}),_jsxs(_components.td,{children:[`Whether HSA is applied towards `,_jsx(_components.code,{children:`individual`}),` or `,_jsx(_components.code,{children:`family`})]})]}),_jsxs(_components.tr,{children:[_jsxs(_components.td,{children:[_jsx(_components.code,{children:`effective_date`}),`*`]}),_jsxs(_components.td,{children:[_jsx(_components.code,{children:`string`}),` (`,_jsx(_components.code,{children:`nullable`}),`)`]}),_jsxs(_components.td,{children:[`The date which the benefit should take effect by (`,_jsx(_components.code,{children:`mm/dd/yyyy`}),`)`]})]})]})]}),`\n`,_jsx(Heading,{level:`4`,id:`section-125-benefits-fsa-custom-benefits`,children:`Section 125 Benefits, FSA, Custom Benefits`}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Field`}),_jsx(_components.th,{children:`Type`}),_jsx(_components.th,{children:`Description`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`employee_deduction.type`})}),_jsx(_components.td,{children:_jsx(_components.code,{children:`string`})}),_jsxs(_components.td,{children:[`Deduction Type (`,_jsx(_components.code,{children:`fixed`}),` or `,_jsx(_components.code,{children:`percent`}),`)`]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`employee_deduction.amount`})}),_jsx(_components.td,{children:_jsx(_components.code,{children:`integer`})}),_jsxs(_components.td,{children:[`Deduction amount in cents (if `,_jsx(_components.code,{children:`fixed`}),`) or basis points (if `,_jsx(_components.code,{children:`percent`}),`)`]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`company_contribution.type`})}),_jsx(_components.td,{children:_jsx(_components.code,{children:`string`})}),_jsxs(_components.td,{children:[`Contribution Type (`,_jsx(_components.code,{children:`fixed`}),` or `,_jsx(_components.code,{children:`percent`}),`)`]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`company_contribution.amount`})}),_jsx(_components.td,{children:_jsx(_components.code,{children:`integer`})}),_jsxs(_components.td,{children:[`Contribution amount in cents (if `,_jsx(_components.code,{children:`fixed`}),`) or basis points`]})]}),_jsxs(_components.tr,{children:[_jsxs(_components.td,{children:[_jsx(_components.code,{children:`effective_date`}),`*`]}),_jsxs(_components.td,{children:[_jsx(_components.code,{children:`string`}),` (`,_jsx(_components.code,{children:`nullable`}),`)`]}),_jsxs(_components.td,{children:[`The date which the benefit should take effect by (`,_jsx(_components.code,{children:`mm/dd/yyyy`}),`)`]})]})]})]}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[`Note: `,_jsx(_components.code,{children:`effective_date`}),`s that are undefined or in the past will default to the date the request was made.\nWe recommend grouping enrollments by `,_jsx(_components.code,{children:`effective_date`}),` for a request.\nIf multiple distinct `,_jsx(_components.code,{children:`effective_date`}),`s are included, the job will be in pending status until the latest `,_jsx(_components.code,{children:`effective_date`}),` enrollment is processed.\nSandbox integrations do not currently support multiple distinct `,_jsx(_components.code,{children:`effective_date`}),`s within the same request.`]}),`\n`]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"openapi":"post /employer/benefits/{benefit_id}/individuals","title":"Enroll Individuals in Deductions","description":"Enroll an individual into a deduction or contribution. This is an overwrite operation. If the employee is already enrolled, the enrollment amounts will be adjusted. Making the same request multiple times will not create new enrollments, but will continue to set the state of the existing enrollment.","href":"/api-reference/deductions/enroll-individuals-in-deductions"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[{"title":"Enrollment Bodies","slug":"enrollment-bodies","depth":3,"children":[]},{"title":"Retirement Benefits","slug":"retirement-benefits","depth":4,"children":[]},{"title":"HSA","slug":"hsa","depth":4,"children":[]},{"title":"Section 125 Benefits, FSA, Custom Benefits","slug":"section-125-benefits-fsa-custom-benefits","depth":4,"children":[]}],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"summary":"Enroll Individuals in Deductions","operationId":"post-employer-individual-benefits-benefit_id","description":"Enroll an individual into a deduction or contribution. This is an overwrite operation. If the employee is already enrolled, the enrollment amounts will be adjusted. Making the same request multiple times will not create new enrollments, but will continue to set the state of the existing enrollment.","tags":["Deductions"],"parameters":["f4ec930e-eb3a-4962-9367-f56240668d18","7ffb25c0-728a-4e29-a181-344e599a23e8","26027a53-333e-4307-b2e3-2d037c8dc14e"],"requestBody":"7ca4d395-4e4a-44fe-a09d-dc98428945aa","security":["d86fd465-6b80-4d4a-8af8-fb8d2dd35085"],"responses":{"200":"893df411-57a1-461e-9479-d9216f3ef498","202":"92c19027-6272-419d-aca2-8f4bb1eadbf8","400":"15e9a029-8ec7-4deb-9c77-bf0c737d0264","404":"1b170718-c518-4537-8c74-977e794e48b6","422":"dd34da05-944e-43d0-81ac-b0f7a2262015"},"x-codeSamples":[{"lang":"JavaScript","source":"import Finch from '@tryfinch/finch-api';\n\nconst client = new Finch({\n accessToken: 'My Access Token',\n});\n\nconst enrolledIndividualBenefitResponse = await client.hris.benefits.individuals.enrollMany(\n 'benefit_id',\n);\n\nconsole.log(enrolledIndividualBenefitResponse.job_id);"},{"lang":"Python","source":"from finch import Finch\n\nclient = Finch(\n access_token=\"My Access Token\",\n)\nenrolled_individual_benefit_response = client.hris.benefits.individuals.enroll_many(\n benefit_id=\"benefit_id\",\n)\nprint(enrolled_individual_benefit_response.job_id)"},{"lang":"Go","source":"package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/Finch-API/finch-api-go/v2\"\n\t\"github.com/Finch-API/finch-api-go/v2/option\"\n)\n\nfunc main() {\n\tclient := finchgo.NewClient(\n\t\toption.WithAccessToken(\"My Access Token\"),\n\t)\n\tenrolledIndividualBenefitResponse, err := client.HRIS.Benefits.Individuals.EnrollMany(\n\t\tcontext.TODO(),\n\t\t\"benefit_id\",\n\t\tfinchgo.HRISBenefitIndividualEnrollManyParams{},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", enrolledIndividualBenefitResponse.JobID)\n}\n"},{"lang":"Java","source":"package com.tryfinch.api.example;\n\nimport com.tryfinch.api.client.FinchClient;\nimport com.tryfinch.api.client.okhttp.FinchOkHttpClient;\nimport com.tryfinch.api.models.EnrolledIndividualBenefitResponse;\nimport com.tryfinch.api.models.HrisBenefitIndividualEnrollManyParams;\n\npublic final class Main {\n private Main() {}\n\n public static void main(String[] args) {\n FinchClient client = FinchOkHttpClient.builder()\n .fromEnv()\n .accessToken(\"My Access Token\")\n .build();\n\n EnrolledIndividualBenefitResponse enrolledIndividualBenefitResponse = client.hris().benefits().individuals().enrollMany(\"benefit_id\");\n }\n}"},{"lang":"Kotlin","source":"package com.tryfinch.api.example\n\nimport com.tryfinch.api.client.FinchClient\nimport com.tryfinch.api.client.okhttp.FinchOkHttpClient\nimport com.tryfinch.api.models.EnrolledIndividualBenefitResponse\nimport com.tryfinch.api.models.HrisBenefitIndividualEnrollManyParams\n\nfun main() {\n val client: FinchClient = FinchOkHttpClient.builder()\n .fromEnv()\n .accessToken(\"My Access Token\")\n .build()\n\n val enrolledIndividualBenefitResponse: EnrolledIndividualBenefitResponse = client.hris().benefits().individuals().enrollMany(\"benefit_id\")\n}"},{"lang":"Ruby","source":"require \"finch_api\"\n\nfinch = FinchAPI::Client.new(access_token: \"My Access Token\")\n\nenrolled_individual_benefit_response = finch.hris.benefits.individuals.enroll_many(\"benefit_id\")\n\nputs(enrolled_individual_benefit_response)"}],"method":"post","type":"path","servers":["36067c90-2668-476c-b06e-38017030b8ae"],"path":"/employer/benefits/{benefit_id}/individuals","baseUrlOptions":["https://api.tryfinch.com"],"title":"Enroll Individuals in Deductions","codeSamples":[{"lang":"JavaScript","source":"import Finch from '@tryfinch/finch-api';\n\nconst client = new Finch({\n accessToken: 'My Access Token',\n});\n\nconst enrolledIndividualBenefitResponse = await client.hris.benefits.individuals.enrollMany(\n 'benefit_id',\n);\n\nconsole.log(enrolledIndividualBenefitResponse.job_id);"},{"lang":"Python","source":"from finch import Finch\n\nclient = Finch(\n access_token=\"My Access Token\",\n)\nenrolled_individual_benefit_response = client.hris.benefits.individuals.enroll_many(\n benefit_id=\"benefit_id\",\n)\nprint(enrolled_individual_benefit_response.job_id)"},{"lang":"Go","source":"package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/Finch-API/finch-api-go/v2\"\n\t\"github.com/Finch-API/finch-api-go/v2/option\"\n)\n\nfunc main() {\n\tclient := finchgo.NewClient(\n\t\toption.WithAccessToken(\"My Access Token\"),\n\t)\n\tenrolledIndividualBenefitResponse, err := client.HRIS.Benefits.Individuals.EnrollMany(\n\t\tcontext.TODO(),\n\t\t\"benefit_id\",\n\t\tfinchgo.HRISBenefitIndividualEnrollManyParams{},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", enrolledIndividualBenefitResponse.JobID)\n}\n"},{"lang":"Java","source":"package com.tryfinch.api.example;\n\nimport com.tryfinch.api.client.FinchClient;\nimport com.tryfinch.api.client.okhttp.FinchOkHttpClient;\nimport com.tryfinch.api.models.EnrolledIndividualBenefitResponse;\nimport com.tryfinch.api.models.HrisBenefitIndividualEnrollManyParams;\n\npublic final class Main {\n private Main() {}\n\n public static void main(String[] args) {\n FinchClient client = FinchOkHttpClient.builder()\n .fromEnv()\n .accessToken(\"My Access Token\")\n .build();\n\n EnrolledIndividualBenefitResponse enrolledIndividualBenefitResponse = client.hris().benefits().individuals().enrollMany(\"benefit_id\");\n }\n}"},{"lang":"Kotlin","source":"package com.tryfinch.api.example\n\nimport com.tryfinch.api.client.FinchClient\nimport com.tryfinch.api.client.okhttp.FinchOkHttpClient\nimport com.tryfinch.api.models.EnrolledIndividualBenefitResponse\nimport com.tryfinch.api.models.HrisBenefitIndividualEnrollManyParams\n\nfun main() {\n val client: FinchClient = FinchOkHttpClient.builder()\n .fromEnv()\n .accessToken(\"My Access Token\")\n .build()\n\n val enrolledIndividualBenefitResponse: EnrolledIndividualBenefitResponse = client.hris().benefits().individuals().enrollMany(\"benefit_id\")\n}"},{"lang":"Ruby","source":"require \"finch_api\"\n\nfinch = FinchAPI::Client.new(access_token: \"My Access Token\")\n\nenrolled_individual_benefit_response = finch.hris.benefits.individuals.enroll_many(\"benefit_id\")\n\nputs(enrolled_individual_benefit_response)"}],"requiredOnlyExamples":false,"requestExampleType":"codeSamples","responseExampleType":"generated"},"dependencies":{"parameters":{"f4ec930e-eb3a-4962-9367-f56240668d18":{"name":"entity_ids","in":"query","required":false,"description":"The entity IDs to specify which entities' data to access. Provide exactly one entity ID per request; a maximum of one is accepted. Required when the connection has more than one entity — omitting it returns a `400` `invalid_request_error`. Optional for single-entity connections.","schema":{"type":"array","items":{"type":"string","format":"uuid","uniqueKey":"items.[INDEX]","typeLabel":"string\u003cuuid>"},"minItems":1,"maxItems":1,"example":["550e8400-e29b-41d4-a716-446655440000"],"isRequired":false,"description":"The entity IDs to specify which entities' data to access. Provide exactly one entity ID per request; a maximum of one is accepted. Required when the connection has more than one entity — omitting it returns a `400` `invalid_request_error`. Optional for single-entity connections.","uniqueKey":"","typeLabel":"string\u003cuuid>[]"},"style":"form","explode":true},"7ffb25c0-728a-4e29-a181-344e599a23e8":{"name":"Finch-API-Version","in":"header","required":true,"schema":{"type":"string","default":"2020-09-17","format":"date","isRequired":true,"description":"Header used to specify the version for a given API request. Current version is 2020-09-17.","uniqueKey":"","typeLabel":"string\u003cdate>"},"description":"Header used to specify the version for a given API request. Current version is 2020-09-17.","x-stainless-param":false},"26027a53-333e-4307-b2e3-2d037c8dc14e":{"name":"Content-Type","in":"header","required":true,"schema":{"type":"string","default":"application/json","isRequired":true,"description":"Used to indicate the original media type of the resource ","uniqueKey":"","typeLabel":"string"},"description":"Used to indicate the original media type of the resource ","x-stainless-param":false},"72ec88bf-0a65-4357-832d-93792d51f920":{"schema":{"type":"string","isRequired":true,"uniqueKey":"","typeLabel":"string"},"name":"benefit_id","in":"path","required":true}},"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"object","properties":{"individual_id":{"type":"string","description":"Finch id (uuidv4) for the individual to enroll","uniqueKey":"items.[INDEX].individual_id","typeLabel":"string"},"configuration":{"type":"object","properties":{"employee_deduction":{"type":"object","properties":{"type":{"type":"string","enum":["fixed","percent"],"uniqueKey":"items.[INDEX].configuration.employee_deduction.type","typeLabel":"enum\u003cstring>"},"amount":{"type":"integer","description":"Amount in cents for fixed type or basis points (1/100th of a percent) for percent type","uniqueKey":"items.[INDEX].configuration.employee_deduction.amount","typeLabel":"integer"}},"uniqueKey":"items.[INDEX].configuration.employee_deduction","typeLabel":"object"},"company_contribution":{"type":"object","properties":{"type":{"type":"string","enum":["fixed","percent","tiered"],"uniqueKey":"items.[INDEX].configuration.company_contribution.type","typeLabel":"enum\u003cstring>"},"amount":{"type":"integer","description":"Amount in cents for fixed type or basis points (1/100th of a percent) for percent type","uniqueKey":"items.[INDEX].configuration.company_contribution.amount","typeLabel":"integer"},"tiers":{"type":"array","description":"Array of tier objects for tiered contribution matching (required when type is tiered)","items":{"type":"object","properties":{"match":{"type":"integer","description":"The employer match percentage in basis points (0-10000 = 0-100%)","isRequired":true,"uniqueKey":"items.[INDEX].configuration.company_contribution.tiers.items.[INDEX].match","typeLabel":"integer"},"threshold":{"type":"integer","description":"The employee contribution threshold in basis points (0-10000 = 0-100%)","isRequired":true,"uniqueKey":"items.[INDEX].configuration.company_contribution.tiers.items.[INDEX].threshold","typeLabel":"integer"}},"required":["match","threshold"],"uniqueKey":"items.[INDEX].configuration.company_contribution.tiers.items.[INDEX]","typeLabel":"object"},"uniqueKey":"items.[INDEX].configuration.company_contribution.tiers","typeLabel":"object[]"}},"uniqueKey":"items.[INDEX].configuration.company_contribution","typeLabel":"object"},"annual_maximum":{"oneOf":[{"type":"integer","description":"Maximum annual amount in cents","uniqueKey":"items.[INDEX].configuration.annual_maximum.oneOf.0","typeLabel":"integer"},{"type":"null","description":"Maximum annual amount in cents","uniqueKey":"items.[INDEX].configuration.annual_maximum.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].configuration.annual_maximum","typeLabel":"integer | null"},"annual_contribution_limit":{"type":"string","enum":["individual","family"],"description":"For HSA benefits only - whether the contribution limit is for an individual or family","uniqueKey":"items.[INDEX].configuration.annual_contribution_limit","typeLabel":"enum\u003cstring>"},"catch_up":{"type":"boolean","description":"For retirement benefits only - whether catch up contributions are enabled","uniqueKey":"items.[INDEX].configuration.catch_up","typeLabel":"boolean"},"effective_date":{"type":"string","format":"date","description":"The date the enrollment will take effect","uniqueKey":"items.[INDEX].configuration.effective_date","typeLabel":"string\u003cdate>"}},"uniqueKey":"items.[INDEX].configuration","typeLabel":"object"}},"uniqueKey":"items.[INDEX]","typeLabel":"object"},"description":"Array of the individual_id to enroll and a configuration object.","uniqueKey":"","typeLabel":"object[]"},"examples":{"HSA":{"title":"HSA","value":[{"individual_id":"d02a6346-1f08-4312-a064-49ff3cafaa7a","configuration":{"employee_deduction":{"type":"fixed","amount":10000},"company_contribution":{"type":"fixed","amount":0},"annual_maximum":null,"annual_contribution_limit":"individual"}}]},"Custom":{"title":"Custom","value":[{"individual_id":"string","configuration":{"employee_deduction":{"type":"fixed","amount":10000},"company_contribution":{"type":"fixed","amount":0}}}]}},"exampleType":"examples"}},"exampleType":"examples"},"responses":{"893df411-57a1-461e-9479-d9216f3ef498":{"description":"Successfully enqueued job to enroll individuals in the benefit","content":{"application/json":{"schema":{"type":"object","properties":{"job_id":{"type":"string","format":"uuid","isRequired":true,"uniqueKey":"job_id","typeLabel":"string\u003cuuid>"}},"required":["job_id"],"uniqueKey":"","typeLabel":"object"},"examples":{"Success":{"title":"Success","value":{"job_id":"be1b3351-a88e-46c2-96e4-c2cf38e529a7"}}},"exampleType":"examples"}},"exampleType":"examples"},"92c19027-6272-419d-aca2-8f4bb1eadbf8":{"description":"The request has been accepted for processing, but data is not yet available","content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string","isRequired":true,"uniqueKey":"name","typeLabel":"string"},"finch_code":{"type":"string","isRequired":true,"uniqueKey":"finch_code","typeLabel":"string"},"message":{"type":"string","isRequired":true,"uniqueKey":"message","typeLabel":"string"},"code":{"type":"number","default":202,"uniqueKey":"code","typeLabel":"number"}},"required":["name","finch_code","message"],"uniqueKey":"","typeLabel":"object"},"examples":{"DataSyncInProgress":{"title":"DataSyncInProgress","value":{"code":202,"name":"sync_in_progress","finch_code":"data_sync_in_progress","message":"The data being requested is being fetched. Please check back later."}},"AuthorizationPending":{"title":"AuthorizationPending","value":{"code":202,"name":"authorization_pending","finch_code":"pending","message":"Authorization to this company's data is pending"}},"AccountantSetupPending":{"title":"AccountantSetupPending","value":{"code":202,"name":"authorization_pending","finch_code":"accountant_setup_pending","message":"Finch is still setting up the accountant user for this connection. Please try again later."}}},"exampleType":"examples"}},"exampleType":"examples"},"15e9a029-8ec7-4deb-9c77-bf0c737d0264":{"description":"Malformed Request","content":{"application/json":{"schema":{"title":"Error","type":"object","description":"Generic error response structure","properties":{"code":{"type":"integer","minimum":400,"maximum":599,"description":"The status code of the request.","isRequired":true,"uniqueKey":"code","typeLabel":"integer"},"name":{"type":"string","description":"Identifier describing the error.","isRequired":true,"uniqueKey":"name","typeLabel":"string"},"finch_code":{"type":"string","description":"A descriptive identifier for the error.","isRequired":true,"uniqueKey":"finch_code","typeLabel":"string"},"message":{"type":"string","description":"A short English description that provides more information about the error.","isRequired":true,"uniqueKey":"message","typeLabel":"string"}},"required":["code","name","finch_code","message"],"uniqueKey":"","typeLabel":"Error · object"},"examples":{"MissingEntityIds":{"title":"MissingEntityIds","value":{"code":400,"name":"invalid_request_error","finch_code":"invalid_request","message":"Multi-entity connection requires entity_ids query parameter when multiple entities exist"}},"UnknownEntityId":{"title":"UnknownEntityId","value":{"code":400,"name":"invalid_request_error","finch_code":"invalid_request","message":"Provided entity_id 550e8400-e29b-41d4-a716-446655440000 does not match any connected entities"}},"InvalidEntityIds":{"title":"InvalidEntityIds","value":{"code":400,"name":"invalid_request_error","finch_code":"invalid_request","message":"Invalid query parameters for entity_ids"}},"Malformed Request":{"title":"Malformed Request","value":{"code":400,"name":"bad_request_error","finch_code":"malformed_request","message":"Malformed request"}}},"exampleType":"examples"}},"exampleType":"examples"},"1b170718-c518-4537-8c74-977e794e48b6":{"description":"Benefit Not Found","content":{"application/json":{"schema":{"title":"Error","type":"object","description":"Generic error response structure","properties":{"code":{"type":"integer","minimum":400,"maximum":599,"description":"The status code of the request.","isRequired":true,"uniqueKey":"code","typeLabel":"integer"},"name":{"type":"string","description":"Identifier describing the error.","isRequired":true,"uniqueKey":"name","typeLabel":"string"},"finch_code":{"type":"string","description":"A descriptive identifier for the error.","isRequired":true,"uniqueKey":"finch_code","typeLabel":"string"},"message":{"type":"string","description":"A short English description that provides more information about the error.","isRequired":true,"uniqueKey":"message","typeLabel":"string"}},"required":["code","name","finch_code","message"],"uniqueKey":"","typeLabel":"Error · object"},"examples":{"Not Found":{"title":"Not Found","value":{"code":404,"name":"not_found_error","finch_code":"benefit_not_found","message":"Benefit not found"}}},"exampleType":"examples"}},"exampleType":"examples"},"dd34da05-944e-43d0-81ac-b0f7a2262015":{"description":"Unprocessable Request","content":{"application/json":{"schema":{"title":"Error","type":"object","description":"Generic error response structure","properties":{"code":{"type":"integer","minimum":400,"maximum":599,"description":"The status code of the request.","isRequired":true,"uniqueKey":"code","typeLabel":"integer"},"name":{"type":"string","description":"Identifier describing the error.","isRequired":true,"uniqueKey":"name","typeLabel":"string"},"finch_code":{"type":"string","description":"A descriptive identifier for the error.","isRequired":true,"uniqueKey":"finch_code","typeLabel":"string"},"message":{"type":"string","description":"A short English description that provides more information about the error.","isRequired":true,"uniqueKey":"message","typeLabel":"string"}},"required":["code","name","finch_code","message"],"uniqueKey":"","typeLabel":"Error · object"},"examples":{"Cannot Enroll":{"title":"Cannot Enroll","value":{"code":422,"name":"unprocessable_request_error","finch_code":"unprocessable_parameters","message":"HSA enrollment are not currently available for this provider"}}},"exampleType":"examples"}},"exampleType":"examples"}},"security":{"d86fd465-6b80-4d4a-8af8-fb8d2dd35085":{"bearerAuth":{"type":"http","scheme":"bearer","description":"Please use your Access Token","scopes":[],"schemeName":"bearerAuth"}}},"servers":{"36067c90-2668-476c-b06e-38017030b8ae":{"url":"https://api.tryfinch.com","description":"Finch production environment"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","description":"Please use your Access Token","scopes":[],"schemeName":"bearerAuth"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Please use your Access Token","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"bearerAuth","name":"Authorization"}],"title":"bearerAuth"}]},"originalFileLocation":"openapi.json"},"subdomain":"finch","siteName":"Finch","title":"Enroll Individuals in Deductions - Finch","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-11-13T17:00:45.635Z","originalFileLocation":"api-reference/deductions/enroll-individuals-in-deductions.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Enroll an individual into a deduction or contribution. This is an overwrite operation. If the employee is already enrolled, the enrollment amounts will be adjusted. Making the same request multiple times will not create new enrollments, but will continue to set the state of the existing enrollment.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Finch\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/finch/uhsSWlAJd6T26wSS/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/finch/uhsSWlAJd6T26wSS/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/finch/uhsSWlAJd6T26wSS/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/finch/uhsSWlAJd6T26wSS/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/finch/uhsSWlAJd6T26wSS/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/finch/uhsSWlAJd6T26wSS/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/finch/uhsSWlAJd6T26wSS/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/finch/uhsSWlAJd6T26wSS/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/finch/uhsSWlAJd6T26wSS/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Enroll Individuals in Deductions - Finch\">\u003cmeta data-mint-head property=\"og:description\" content=\"Enroll an individual into a deduction or contribution. This is an overwrite operation. If the employee is already enrolled, the enrollment amounts will be adjusted. Making the same request multiple times will not create new enrollments, but will continue to set the state of the existing enrollment.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Finch\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://developer.tryfinch.com/api-reference/deductions/enroll-individuals-in-deductions\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://finch.mintlify.site/_mintlify/api/og/v2?division=Deductions\u0026amp;title=Enroll+Individuals+in+Deductions\u0026amp;description=Enroll+an+individual+into+a+deduction+or+contribution.+This+is+an+overwrite+operation.+If+the+employee+is+already+enrolled%2C+the+enrollment+amounts+will+be+adjus\u0026amp;theme=118a57468f2a5083081331a7\u0026amp;signature=cbfa56e2e1f92890222261c2bd7ea98f549ec9ceb79b1d118b8b21af1581c42f\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Enroll Individuals in Deductions - Finch\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Enroll an individual into a deduction or contribution. This is an overwrite operation. If the employee is already enrolled, the enrollment amounts will be adjusted. Making the same request multiple times will not create new enrollments, but will continue to set the state of the existing enrollment.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://finch.mintlify.site/_mintlify/api/og/v2?division=Deductions\u0026amp;title=Enroll+Individuals+in+Deductions\u0026amp;description=Enroll+an+individual+into+a+deduction+or+contribution.+This+is+an+overwrite+operation.+If+the+employee+is+already+enrolled%2C+the+enrollment+amounts+will+be+adjus\u0026amp;theme=118a57468f2a5083081331a7\u0026amp;signature=cbfa56e2e1f92890222261c2bd7ea98f549ec9ceb79b1d118b8b21af1581c42f\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/finch/uhsSWlAJd6T26wSS/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Finch\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#161616\">\u003clink data-mint-head rel=\"canonical\" href=\"https://developer.tryfinch.com/api-reference/deductions/enroll-individuals-in-deductions\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/deductions/enroll-individuals-in-deductions.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://developer.tryfinch.com/#organization\",\"name\":\"Finch\",\"url\":\"https://developer.tryfinch.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/finch/ejF2Kw2CeeMQKCJw/logo/logo-black.svg?fit=max\u0026auto=format\u0026n=ejF2Kw2CeeMQKCJw\u0026q=85\u0026s=e490dba98fb7b16e8f9f5ab4a9a58a5c\"}},{\"@type\":\"WebSite\",\"@id\":\"https://developer.tryfinch.com#website\",\"name\":\"Finch\",\"url\":\"https://developer.tryfinch.com\",\"publisher\":{\"@id\":\"https://developer.tryfinch.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://developer.tryfinch.com/api-reference/deductions/enroll-individuals-in-deductions#webpage\",\"url\":\"https://developer.tryfinch.com/api-reference/deductions/enroll-individuals-in-deductions\",\"name\":\"Enroll Individuals in Deductions\",\"description\":\"Enroll an individual into a deduction or contribution. This is an overwrite operation. If the employee is already enrolled, the enrollment amounts will be adjusted. Making the same request multiple times will not create new enrollments, but will continue to set the state of the existing enrollment.\",\"dateModified\":\"2026-11-13T17:00:45.635Z\",\"isPartOf\":{\"@id\":\"https://developer.tryfinch.com#website\"},\"breadcrumb\":{\"@id\":\"https://developer.tryfinch.com/api-reference/deductions/enroll-individuals-in-deductions#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://developer.tryfinch.com/api-reference/deductions/enroll-individuals-in-deductions#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Deductions\",\"item\":\"https://developer.tryfinch.com/api-reference/deductions/get-all-deductions\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Enroll Individuals in Deductions\",\"item\":\"https://developer.tryfinch.com/api-reference/deductions/enroll-individuals-in-deductions\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://developer.tryfinch.com/api-reference/deductions/enroll-individuals-in-deductions#apireference\",\"headline\":\"Enroll Individuals in Deductions\",\"name\":\"Enroll Individuals in Deductions\",\"description\":\"Enroll an individual into a deduction or contribution. This is an overwrite operation. If the employee is already enrolled, the enrollment amounts will be adjusted. Making the same request multiple times will not create new enrollments, but will continue to set the state of the existing enrollment.\",\"url\":\"https://developer.tryfinch.com/api-reference/deductions/enroll-individuals-in-deductions\",\"mainEntityOfPage\":{\"@id\":\"https://developer.tryfinch.com/api-reference/deductions/enroll-individuals-in-deductions#webpage\"},\"dateModified\":\"2026-11-13T17:00:45.635Z\",\"publisher\":{\"@id\":\"https://developer.tryfinch.com/#organization\"},\"isPartOf\":{\"@id\":\"https://developer.tryfinch.com#website\"}}]}\u003c/script>","agentPointerHref":"/api-reference/deductions/enroll-individuals-in-deductions.md","siteName":"Finch","nav":{"global":{"anchors":[{"anchor":"Changelog","icon":{"style":"sharp-solid","name":"megaphone"},"color":{"light":"#3E4AE7","dark":"#3E4AE7"},"href":"https://developer.tryfinch.com/changelog"},{"anchor":"API Status","icon":{"style":"sharp-solid","name":"signal-bars"},"color":{"light":"#3E4AE7","dark":"#3E4AE7"},"href":"https://status.tryfinch.com"}]},"tabs":[{"tab":"Documentation","pages":[{"title":"Documentation","href":"/how-finch-works/quickstart"}]},{"tab":"API Reference","groups":[{"group":"Organization","pages":[{"openapi":"get /employer/company","title":"Company","href":"/api-reference/organization/company"},{"openapi":"get /employer/directory","title":"Directory","href":"/api-reference/organization/directory"},{"openapi":"post /employer/individual","title":"Individual","href":"/api-reference/organization/individual"},{"openapi":"post /employer/employment","title":"Employment","href":"/api-reference/organization/employment"}]},{"group":"Payroll","pages":[{"openapi":"get /employer/payment","title":"Payment","href":"/api-reference/payroll/payment"},{"openapi":"post /employer/pay-statement","title":"Pay Statement","href":"/api-reference/payroll/pay-statement"},{"openapi":"get /employer/pay-statement-item","title":"Pay Statement Item","href":"/api-reference/payroll/get-pay-statement-items"},{"group":"Rules","pages":[{"openapi":"post /employer/pay-statement-item/rule","title":"Create Rule","href":"/api-reference/payroll/create-rule"},{"openapi":"get /employer/pay-statement-item/rule","title":"Get Rules","href":"/api-reference/payroll/get-rules"},{"openapi":"put /employer/pay-statement-item/rule/{rule_id}","title":"Update Rule","href":"/api-reference/payroll/update-rule"},{"openapi":"delete /employer/pay-statement-item/rule/{rule_id}","title":"Delete Rule","href":"/api-reference/payroll/delete-rule"}]},{"openapi":"get /employer/pay-groups","title":"Get All Pay Groups","href":"/api-reference/payroll/get-pay-groups"},{"openapi":"get /employer/pay-groups/{pay_group_id}","title":"Get Pay Group","href":"/api-reference/payroll/get-pay-group"},{"openapi":"post /employer/ledger-items","title":"Ledger Items","href":"/api-reference/payroll/get-ledger-items"}]},{"group":"Deductions","pages":[{"openapi":"get /employer/benefits","title":"Get All Deductions","href":"/api-reference/deductions/get-all-deductions"},{"openapi":"post /employer/benefits/register","title":"Register Deduction","href":"/api-reference/deductions/register-deduction"},{"openapi":"post /employer/benefits","title":"Create Deduction","href":"/api-reference/deductions/create-deduction"},{"openapi":"get /employer/benefits/{benefit_id}","title":"Get Deduction","href":"/api-reference/deductions/get-deduction"},{"openapi":"post /employer/benefits/{benefit_id}","title":"Update Deduction","href":"/api-reference/deductions/update-deduction"},{"openapi":"get /employer/benefits/{benefit_id}/enrolled","title":"Get Enrolled Individuals","href":"/api-reference/deductions/get-enrolled-individuals"},{"openapi":"get /employer/benefits/{benefit_id}/individuals","title":"Get Deductions for Individuals","description":"Get enrollment information for the given individuals.","href":"/api-reference/deductions/get-deductions-for-individuals"},{"openapi":"post /employer/benefits/{benefit_id}/individuals","title":"Enroll Individuals in Deductions","href":"/api-reference/deductions/enroll-individuals-in-deductions"},{"openapi":"delete /employer/benefits/{benefit_id}/individuals","title":"Unenroll Individuals from Deductions","description":"Unenroll individuals from a deduction or contribution","href":"/api-reference/deductions/unenroll-individuals-from-deductions"}]},{"group":"Benefits","pages":[{"openapi":"get /employer/plans","title":"List Plans","href":"/api-reference/benefits/list-plans"},{"openapi":"get /employer/plans/{plan_id}","title":"Get Plan","href":"/api-reference/benefits/get-plan"},{"openapi":"get /employer/plans-enrollments","title":"List Enrollments","href":"/api-reference/benefits/list-plan-enrollments"},{"openapi":"post /employer/plans-enrollments","title":"Get Enrollments","href":"/api-reference/benefits/get-plan-enrollments"},{"openapi":"get /employer/plans-dependents","title":"List Dependents","href":"/api-reference/benefits/list-plan-dependents"},{"openapi":"post /employer/plans-dependents","title":"Get Dependents","href":"/api-reference/benefits/get-plan-dependents"}]},{"group":"Documents","pages":[{"openapi":"get /employer/documents","title":"List Documents","href":"/api-reference/documents/get-documents"},{"openapi":"get /employer/documents/{document_id}","title":"Get Document","href":"/api-reference/documents/get-document"}]},{"group":"Connect","pages":[{"openapi":"post /connect/sessions","title":"Create a new connect session","href":"/api-reference/connect/new-session"},{"openapi":"post /connect/sessions/reauthenticate","title":"Create a new Connect session for reauthentication","href":"/api-reference/connect/reauthenticate-session"}]},{"group":"Management","pages":[{"openapi":"post /auth/token","title":"Create Access Token","href":"/api-reference/management/create-access-token"},{"openapi":"get /providers","title":"Providers","href":"/api-reference/management/providers"},{"openapi":"get /introspect","title":"Introspect","href":"/api-reference/management/introspect"},{"openapi":"post /disconnect","title":"Disconnect","href":"/api-reference/management/disconnect"},{"openapi":"post /disconnect-entity","title":"Disconnect Entity","href":"/api-reference/management/disconnect-entity"},{"openapi":"post /forward","title":"Request Forwarding","href":"/api-reference/management/request-forwarding"},{"openapi":"get /jobs/automated","title":"List All Automated Jobs","href":"/api-reference/management/list-all-automated-jobs"},{"openapi":"post /jobs/automated","title":"Enqueue a New Automated Job","href":"/api-reference/management/enqueue-a-new-automated-job"},{"openapi":"get /jobs/automated/{job_id}","title":"Retrieve an Automated Job","href":"/api-reference/management/retrieve-an-automated-job"},{"openapi":"get /jobs/manual/{job_id}","title":"Retrieve a Manual Job","href":"/api-reference/management/retrieve-a-manual-job"}]},{"group":"Sandbox","pages":[{"openapi":"post /sandbox/connections","title":"Create a new Sandbox Connection","href":"/api-reference/sandbox/create-sandbox-connection"},{"openapi":"post /sandbox/connections/accounts","title":"Create a new sandbox account","href":"/api-reference/sandbox/create-sandbox-account"},{"openapi":"put /sandbox/connections/accounts","title":"Update a sandbox account","href":"/api-reference/sandbox/update-sandbox-account"},{"openapi":"get /sandbox/jobs/configuration","title":"Get configurations for sandbox jobs","href":"/api-reference/sandbox/get-sandbox-jobs-configuration"},{"openapi":"put /sandbox/jobs/configuration","title":"Update configurations for sandbox jobs","href":"/api-reference/sandbox/update-sandbox-jobs-configuration"},{"openapi":"post /sandbox/payment","title":"Add a new sandbox payment","href":"/api-reference/sandbox/create-sandbox-payment"},{"openapi":"put /sandbox/individual/{individual_id}","title":"Update sandbox individual","href":"/api-reference/sandbox/update-sandbox-individual"},{"openapi":"put /sandbox/employment/{individual_id}","title":"Update sandbox employment","href":"/api-reference/sandbox/update-sandbox-employment"},{"openapi":"post /sandbox/directory","title":"Add new individuals to a sandbox company","href":"/api-reference/sandbox/create-sandbox-employee"},{"openapi":"put /sandbox/company","title":"Update a sandbox company's data","href":"/api-reference/sandbox/update-sandbox-company"},{"openapi":"post /sandbox/jobs","title":"Enqueue a new sandbox job","href":"/api-reference/sandbox/refresh-job"}]},{"group":"Development Guides","pages":[{"title":"Permissions","href":"/api-reference/development-guides/Permissions"},{"title":"Headers","href":"/api-reference/development-guides/Headers"},{"title":"API Versioning","href":"/api-reference/development-guides/Versioning"},{"title":"Rate Limits","href":"/api-reference/development-guides/Rate-Limits"},{"title":"Handling API Responses","href":"/api-reference/development-guides/Handling-API-Responses"},{"group":"Errors","pages":[{"title":"Error Handling","href":"/api-reference/development-guides/errors/Error-Handling"},{"title":"Error Types","href":"/api-reference/development-guides/errors/Error-Types"}]}]}]}]},"basePath":"","title":"Enroll Individuals in Deductions - Finch","buildId":"dpl_G2Qd45vZZ7MkBiGF9yYx8ZsbbKXX","deploymentId":"dpl_G2Qd45vZZ7MkBiGF9yYx8ZsbbKXX","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-NXj-Rqjv.js","utils-m0thOP-_.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-D13EKcfm.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema--XTdfsEb.js","snippetPresets-D3s4lmAH.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","conditional-requirements-CFM0id0Q.js","ApiExamples-ChURybxL.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-DL8CiXq2.js","shallow-DI2-YB2E.js","getApiPlaygroundDisplay-DxbW7b_y.js","CodeSnippet-CiNYS0pP.js","CodeSnippets-BT87bThu.js","Page-DSpdRuhM.js","getPastedJson-F_g_IrFQ.js","icon-CCIG5BAs.js","MethodPill-DY3E0jwx.js","DuplicateIcon-BN88xnEg.js","createIcon-VCCc5HO5.js","DynamicMarkdown-CaSwclgK.js","SectionHeading-DXV8nWhc.js","axios-vUo_bRtp.js","Markdown-CV32Re6G.js","clsx-5ydLOnhV.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-pFDdfjRe.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-BUGO5bPJ.js"]}